<?php
namespace Bushelpowered\Api\Data\Analytics\V1\Response;
        
class OverTimeUsageResponse 
{
    public string $company;
    public ?string $date = null;
    public ?int $loggedInUser = null;
    public ?int $visitorIdCount = null;
    public ?int $visitIdCount = null;

    /**
     * @param  null  $company
     * @param  null  $date
     * @param  null  $loggedInUser
     * @param  null  $visitorIdCount
     * @param  null  $visitIdCount
     */
    public function __construct(string $company, ?string $date, ?int $loggedInUser, ?int $visitorIdCount, ?int $visitIdCount)
    {
        $this->company = $company;
        $this->date = $date;
        $this->loggedInUser = $loggedInUser;
        $this->visitorIdCount = $visitorIdCount;
        $this->visitIdCount = $visitIdCount;
    }
    

}