<?php
namespace Bushelpowered\Api\Fulfillment\Common\V1\Response;
        
class LocationResponse 
{
    public string $id;
    public string $name;
    public ?string $city = null;
    public ?string $addressLine1 = null;
    public ?string $addressLine2 = null;
    public ?string $state = null;
    public ?string $zipCode = null;

    /**
     * @param  null  $id
     * @param  null  $name
     * @param  null  $city
     * @param  null  $addressLine1
     * @param  null  $addressLine2
     * @param  null  $state
     * @param  null  $zipCode
     */
    public function __construct(string $id, string $name, ?string $city, ?string $addressLine1, ?string $addressLine2, ?string $state, ?string $zipCode)
    {
        $this->id = $id;
        $this->name = $name;
        $this->city = $city;
        $this->addressLine1 = $addressLine1;
        $this->addressLine2 = $addressLine2;
        $this->state = $state;
        $this->zipCode = $zipCode;
    }
    

}