<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins;
        
class Entity 
{
    public \Bushelpowered\Api\Iam\Access\Common\V1alpha\TenantRef $tenant;
    public \Bushelpowered\Api\Iam\Access\Common\V1alpha\LocationRef $location = null;
    public \Bushelpowered\Api\Iam\Access\Common\V1alpha\AccountRef $account = null;

    /**
     * @param  null  $tenant
     * @param  null  $location
     * @param  null  $account
     */
    public function __construct(\Bushelpowered\Api\Iam\Access\Common\V1alpha\TenantRef $tenant, \Bushelpowered\Api\Iam\Access\Common\V1alpha\LocationRef $location, \Bushelpowered\Api\Iam\Access\Common\V1alpha\AccountRef $account)
    {
        $this->tenant = $tenant;
        $this->location = $location;
        $this->account = $account;
    }
    

}