<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1alpha\Response;
        
class LookupResourcesResponse implements Api\Iam\Access\Common\V1alpha\Mixins\HasOptionalResultWindow
{
    /** @var \Bushelpowered\Api\Iam\Access\Evaluate\V1alpha\Response\PermissionResult[] $results */
    public array $results;
    public \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\ConsistencyToken $resultWindow = null;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Evaluate\V1alpha\Response\PermissionResult[]  $results
     * @param  null  $resultWindow
     */
    public function __construct(array $results, \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\ConsistencyToken $resultWindow)
    {
        $this->results = $results;
        $this->resultWindow = $resultWindow;
    }
    
    public function getResultWindow(): \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\ConsistencyToken
    {
        return $this->resultWindow;
    }
}