<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1alpha\Request;
        
class RoleBinding implements Api\Iam\Access\Common\V1alpha\Mixins\HasResource
{
    public \Bushelpowered\Api\Iam\Access\Common\V1alpha\SubjectOrIdentifier $subject;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1alpha\RoleRef[]|null $role */
    public ?array $role = null;
    public \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\ResourceRef $resource;

    /**
     * @param  null  $subject
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1alpha\RoleRef[]|null  $role
     * @param  null  $resource
     */
    public function __construct(\Bushelpowered\Api\Iam\Access\Common\V1alpha\SubjectOrIdentifier $subject, ?array $role, \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\ResourceRef $resource)
    {
        $this->subject = $subject;
        $this->role = $role;
        $this->resource = $resource;
    }
    
    public function getResource(): \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\ResourceRef
    {
        return $this->resource;
    }
}