<?php
namespace Bushelpowered\Api\Platform\Location\V1\Request;
        
class GetOrCreateLocationRequest 
{
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public ?string $sourceName = null;

    /**
     * @param  null  $tenantId
     * @param  null  $datasourceId
     * @param  null  $integrationId
     * @param  null  $sourceId
     * @param  null  $sourceName
     */
    public function __construct(string $tenantId, string $datasourceId, string $integrationId, string $sourceId, ?string $sourceName)
    {
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceName = $sourceName;
    }
    

}