<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class UpdateCompanyRequest 
{
    public string $companyId;
    public string $slug;
    public int $cqgCategoryId;
    public ?int $ingestEnabledAt = null;
    public bool $displayConvertedBasis;
    public string $bidRoundingStrategy;
    public int $cashBidDecimalFormat;

    /**
     * @param  null  $companyId
     * @param  null  $slug
     * @param  null  $cqgCategoryId
     * @param  null  $ingestEnabledAt
     * @param  null  $displayConvertedBasis
     * @param  null  $bidRoundingStrategy
     * @param  null  $cashBidDecimalFormat
     */
    public function __construct(string $companyId, string $slug, int $cqgCategoryId, ?int $ingestEnabledAt, bool $displayConvertedBasis, string $bidRoundingStrategy, int $cashBidDecimalFormat)
    {
        $this->companyId = $companyId;
        $this->slug = $slug;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->ingestEnabledAt = $ingestEnabledAt;
        $this->displayConvertedBasis = $displayConvertedBasis;
        $this->bidRoundingStrategy = $bidRoundingStrategy;
        $this->cashBidDecimalFormat = $cashBidDecimalFormat;
    }
    

}