<?php
namespace Bushelpowered\Api\Platform\Subscription\V1\Request;
        
class CreateOrUpdateSubscriptionRequest 
{
    public string $tenantId;
    public string $accountId;
    public string $featureId;
    public bool $isSubscribed;

    /**
     * @param  null  $tenantId
     * @param  null  $accountId
     * @param  null  $featureId
     * @param  null  $isSubscribed
     */
    public function __construct(string $tenantId, string $accountId, string $featureId, bool $isSubscribed)
    {
        $this->tenantId = $tenantId;
        $this->accountId = $accountId;
        $this->featureId = $featureId;
        $this->isSubscribed = $isSubscribed;
    }
    

}